The SUSE coreutils-i18n.patch for GNU coreutils allows context-dependent attackers to cause a denial of service (segmentation fault and crash) via a long string to the sort command, when using the (1) -d or (2) -M switch, which triggers a stack-based buffer overflow in the alloca function.
Published 2013-11-23 18:55:04
Updated 2023-02-13 04:39:02
Source Red Hat, Inc.
View at NVD,   CVE.org
Vulnerability category: OverflowMemory CorruptionInput validationDenial of service

Exploit prediction scoring system (EPSS) score for CVE-2013-0221

2.55%
Probability of exploitation activity in the next 30 days EPSS Score History
~ 90 %
Percentile, the proportion of vulnerabilities that are scored at or less

CVSS scores for CVE-2013-0221

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source First Seen
4.3
MEDIUM AV:N/AC:M/Au:N/C:N/I:N/A:P
8.6
2.9
NIST

CWE ids for CVE-2013-0221

  • The product receives input or data, but it does not validate or incorrectly validates that the input has the properties that are required to process the data safely and correctly.
    Assigned by: nvd@nist.gov (Primary)

References for CVE-2013-0221

Products affected by CVE-2013-0221

This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!